Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
articlelistrss.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Title = htmlspecialchars($ini->variable( "eZArticleRSS", "Title" ))
| $Link = $ini->variable( "eZArticleRSS", "Link" )
| $Description = htmlspecialchars($ini->variable( "eZArticleRSS", "Description" ))
| $Language = $ini->variable( "eZArticleRSS", "Language" )
| $Image = $ini->variable( "eZArticleRSS", "Image" )
| $CategoryID = $ini->variable( "eZArticleRSS", "CategoryID" )
| $Limit = $ini->variable( "eZArticleRSS", "Limit" )
| $headerInfo = ( getallheaders() )
| $Host = $headerInfo["Host"]
if( $CategoryID==0) | else
| $articleList = $category->articles( "time", false, true, 0 , $Limit )
| $locale = new eZLocale( $Language )

## Variable Documentation

## ◆ $articleList

$articleList = $category->articles( "time", false, true, 0 , $Limit )

Definition at line 83 of file articlelistrss.php.

## ◆ $CategoryID

$CategoryID = $ini->variable( "eZArticleRSS", "CategoryID" )

Definition at line 42 of file articlelistrss.php.

## ◆ $Description

$Description = htmlspecialchars($ini->variable( "eZArticleRSS", "Description" ))

Definition at line 38 of file articlelistrss.php.

Referenced by eZLinkType\description(), eZMediaType\description(), and syncDir().

## ◆ $headerInfo

$headerInfo = ( getallheaders() )

Definition at line 45 of file articlelistrss.php.

Referenced by send_email(), and sendAssignedMail().

## ◆ $Host

$Host = $headerInfo["Host"]

Definition at line 46 of file articlelistrss.php.

## ◆ $Image

$Image = $ini->variable( "eZArticleRSS", "Image" )

Definition at line 41 of file articlelistrss.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 35 of file articlelistrss.php.

## ◆ $Language

$Language = $ini->variable( "eZArticleRSS", "Language" )

Definition at line 39 of file articlelistrss.php.

## ◆ $Limit

$Limit = $ini->variable( "eZArticleRSS", "Limit" )

Definition at line 43 of file articlelistrss.php.

## ◆ $Link

$Link = $ini->variable( "eZArticleRSS", "Link" )

Definition at line 37 of file articlelistrss.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 87 of file articlelistrss.php.

## ◆ $Title

$Title = htmlspecialchars($ini->variable( "eZArticleRSS", "Title" ))

Definition at line 36 of file articlelistrss.php.

Referenced by ezpbKernelWeb\run().

## ◆ else

if ($CategoryID==0) else

Initial value:
{
$category = new eZArticleCategory( $CategoryID )
$category
if( $Action=="Edit") $category
Definition: adedit.php:378
$CategoryID
$CategoryID
Definition: articlelistrss.php:42
eZArticleCategory
Definition: ezarticlecategory.php:45

Definition at line 80 of file articlelistrss.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.